# $Id: gjots.spec.in,v 1.4 2002/12/21 08:33:46 bhepple Exp $

#   Copyright (C) 2002 Robert Hepple 
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of the
#   License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston,
#   MA 02111-1307, USA.

# to make distribution:
# glade->build (make sure gettext is disabled in C Options)
# ./autogen.sh (will fail on autoconf - can't find AM_ACLOCAL_INCLUDE)
# autoconf
# remove gnome-gettext.m4 from macros/Makefile.am
# enter version number in configure.in (and here!)
# autoconf
# ./configure
# make dist
# cp gjots-0.X.tar.gz /usr/src/redhat/SOURCES
# rpm -ba gjots.spec
# cp /usr/src/redhat/RPMS/i386/gjots-0.X-1.i386.rpm ~/public_html/bhepple.freeshell.org/gjots
# cp /usr/src/redhat/SRPMS/gjots-0.X-1.src.rpm ~/public_html/bhepple.freeshell.org/gjots
# cd ~/public_html/bhepple.freeshell.org/gjots
# make
# scp *.html *.shtml gjots-0.X-1.i386.rpm gjots-0.X-1.src.rpm gjots-0.X.tar.gz bhepple.freeshell.org:html/gjots

%define ver 0.9
%define rel 1
%define prefix /usr

Summary: A note jotter. Organise your ideas, notes, facts in a hierarchy.
Name: gjots
Version: %{ver}
Release: %{rel}
URL: http://bhepple.freeshell.org/gjots
#Source: http://bhepple.freeshell.org/gjots/gjots-%{ver}.tar.gz
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Applications/Productivity
BuildRoot: %{_tmppath}/%{name}-root

%description

gjots ("gee-jots" or, if you prefer, "gyachts"!) is a way to marshall
and organise your text notes in a convenient, hierachical way. I use
it for all my notes on Unix, my personal bits and pieces, recipes and
even PINs and passwords (encrypted with ccrypt(1)).

You can also use it to "mind-map" your compositions - write down all
your thoughts and then start to organise them into a tree. By
manipulating the tree you can easily reorder your thoughts and
structure them appropriately.

It is very much like the KDE program "kjots" but uses the GTK+1.2
library. For non-KDE users, gjots is therefore very much faster to
start up - instantaneous really.

Another advantage over kjots is that it supports a hierarchy of folders
and the folder hierarchy is always visible.

%prep
rm -rf $RPM_BUILD_ROOT

%setup
%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make

%install
#rm -rf $RPM_BUILD_ROOT
#./configure
make prefix=${RPM_BUILD_ROOT}%{prefix} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%doc README COPYING doc/readme.gjots doc/readme.html

%{prefix}

%changelog
* Sun Sep 22 2002  <bhepple@freeshell.org>
- Initial build.


